List layouts
curl --request GET \
--url https://api.hubapi.com/content/api/v2/layoutsimport requests
url = "https://api.hubapi.com/content/api/v2/layouts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/content/api/v2/layouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/content/api/v2/layouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/content/api/v2/layouts"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/content/api/v2/layouts")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/content/api/v2/layouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"limit": 2,
"offset": 0,
"total": 46,
"total_count": 46,
"objects": [
{
"attached_amp_stylesheet": 0,
"attached_js": [],
"attached_stylesheets": [],
"author": "marketplaceteam@hubspot.com",
"author_at": 1548263624833,
"body": {
"enable_domain_stylesheets": false,
"include_default_custom_css": false,
"folder": "Default_Search",
"attached_stylesheets": [],
"cdn_purge_embargo_time": 1548263924820,
"attached_js": [],
"custom_head": "",
"attached_amp_stylesheet": 0,
"body_css_id": null,
"custom_footer": "",
"body_class": "",
"body_css": "",
"builtin": false,
"purchased": false,
"generator": null,
"generated_template_id": 5857301778,
"marketplace_good_id": 263737,
"cloned_from": null,
"body_editable": false,
"content_tags": [
{
"name": "SINGLE_COLUMN",
"source": "MARKETPLACE"
},
{
"name": "DRAG_AND_DROP",
"source": "MARKETPLACE"
},
{
"name": "OTHER_INDUSTRY",
"source": "MARKETPLACE"
},
{
"name": "HIDDEN",
"source": "MARKETPLACE"
}
],
"last_edit_session_id": null,
"last_edit_update_id": null,
"has_user_changes": true,
"marketplace_delivery_id": 25843497,
"is_read_only": true
},
"body_class": "",
"body_css": "",
"body_editable": false,
"builtin": false,
"category": 1,
"category_id": 1,
"cdn_purge_embargo_time": 1548263924820,
"content_tags": [
{
"name": "SINGLE_COLUMN",
"source": "MARKETPLACE"
},
{
"name": "DRAG_AND_DROP",
"source": "MARKETPLACE"
},
{
"name": "OTHER_INDUSTRY",
"source": "MARKETPLACE"
},
{
"name": "HIDDEN",
"source": "MARKETPLACE"
}
],
"created": 1520438256581,
"custom_footer": "",
"custom_head": "",
"default": false,
"deleted_at": 0,
"enable_domain_stylesheets": false,
"folder": "Default_Search",
"folder_id": 5500358806,
"generated_template_id": 5857301778,
"host_template_types": [
"ANY"
],
"id": 5857301776,
"include_default_custom_css": false,
"is_available_for_new_content": true,
"is_read_only": true,
"label": "Site Search Results Page",
"languages": [],
"marketplace_delivery_id": 25843497,
"marketplace_good_id": 263737,
"meta": {
"hasBufferedChanges": false
},
"path": "generated_layouts/5626542347.html",
"portal_id": 62515,
"purchased": false,
"template_type": 4,
"updated": 1548263624833,
"updated_by": "marketplaceteam@hubspot.com",
"updated_by_id": 2411823
}
]
}List layouts
Get all layouts for an account. Supports paging and filtering.
GET
/
content
/
api
/
v2
/
layouts
List layouts
curl --request GET \
--url https://api.hubapi.com/content/api/v2/layoutsimport requests
url = "https://api.hubapi.com/content/api/v2/layouts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/content/api/v2/layouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/content/api/v2/layouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/content/api/v2/layouts"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/content/api/v2/layouts")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/content/api/v2/layouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"limit": 2,
"offset": 0,
"total": 46,
"total_count": 46,
"objects": [
{
"attached_amp_stylesheet": 0,
"attached_js": [],
"attached_stylesheets": [],
"author": "marketplaceteam@hubspot.com",
"author_at": 1548263624833,
"body": {
"enable_domain_stylesheets": false,
"include_default_custom_css": false,
"folder": "Default_Search",
"attached_stylesheets": [],
"cdn_purge_embargo_time": 1548263924820,
"attached_js": [],
"custom_head": "",
"attached_amp_stylesheet": 0,
"body_css_id": null,
"custom_footer": "",
"body_class": "",
"body_css": "",
"builtin": false,
"purchased": false,
"generator": null,
"generated_template_id": 5857301778,
"marketplace_good_id": 263737,
"cloned_from": null,
"body_editable": false,
"content_tags": [
{
"name": "SINGLE_COLUMN",
"source": "MARKETPLACE"
},
{
"name": "DRAG_AND_DROP",
"source": "MARKETPLACE"
},
{
"name": "OTHER_INDUSTRY",
"source": "MARKETPLACE"
},
{
"name": "HIDDEN",
"source": "MARKETPLACE"
}
],
"last_edit_session_id": null,
"last_edit_update_id": null,
"has_user_changes": true,
"marketplace_delivery_id": 25843497,
"is_read_only": true
},
"body_class": "",
"body_css": "",
"body_editable": false,
"builtin": false,
"category": 1,
"category_id": 1,
"cdn_purge_embargo_time": 1548263924820,
"content_tags": [
{
"name": "SINGLE_COLUMN",
"source": "MARKETPLACE"
},
{
"name": "DRAG_AND_DROP",
"source": "MARKETPLACE"
},
{
"name": "OTHER_INDUSTRY",
"source": "MARKETPLACE"
},
{
"name": "HIDDEN",
"source": "MARKETPLACE"
}
],
"created": 1520438256581,
"custom_footer": "",
"custom_head": "",
"default": false,
"deleted_at": 0,
"enable_domain_stylesheets": false,
"folder": "Default_Search",
"folder_id": 5500358806,
"generated_template_id": 5857301778,
"host_template_types": [
"ANY"
],
"id": 5857301776,
"include_default_custom_css": false,
"is_available_for_new_content": true,
"is_read_only": true,
"label": "Site Search Results Page",
"languages": [],
"marketplace_delivery_id": 25843497,
"marketplace_good_id": 263737,
"meta": {
"hasBufferedChanges": false
},
"path": "generated_layouts/5626542347.html",
"portal_id": 62515,
"purchased": false,
"template_type": 4,
"updated": 1548263624833,
"updated_by": "marketplaceteam@hubspot.com",
"updated_by_id": 2411823
}
]
}Query Parameters
The number of items to return. Defaults to 20.
The offset set to start returning rows from. Defaults to 0.
Filter by category ID (exact)
Filter by creation date (exact, range, gt, gte, lt, lte)
Filter by ID (exact, in)
Filter by label (exact)
Filter by path (exact)
Last modified on September 9, 2026
Was this page helpful?